en:
  tds_status_reason:
    universal: &en_universal_tds_status_codes
      '01': Card authentication failed
      '02': Unknown Device
      '03': Unsupported Device
      '04': Exceeds authentication frequency limit
      '05': Expired card
      '06': Invalid card number
      '07': Invalid transaction
      '08': No Card record
      '12': Transaction not permitted to cardholder
      '13': Cardholder not enrolled in service
      '14': Transaction timed out at the ACS
      '15': Low confidence
      '16': Medium confidence
      '17': High confidence
      '18': Very High confidence
      '19': Exceeds ACS maximum challenges
      '20': Non-Payment transaction not supported
      '21': 3RI transaction not supported
      '22': ACS technical issue
      '23': Decoupled Authentication required by ACS but not requested by 3DS Requestor
      '24': 3DS Requestor Decoupled Max Expiry Time exceeded
      '25': Decoupled Authentication was provided insufficient time to authenticate cardholder. ACS will not make attempt
      '26': Authentication attempted but not performed by the cardholder
    customer:
      <<: *en_universal_tds_status_codes
      '09': Card authentication failed # Security failure
      '10': Card authentication failed # Stolen card
      '11': Card authentication failed # Suspected fraud
      '80': Card authentication failed # MC: Exemption indicator not set or not applies
      '81': Card authentication failed # MC: Merchant keeps the liability
      '82': Card authentication failed # MC: SCA with step-up required
    merchant:
      <<: *en_universal_tds_status_codes
      '09': Security failure
      '10': Stolen card
      '11': Suspected fraud
      '80': 'MC: Exemption indicator not set or not applies'
      '81': 'MC: Merchant keeps the liability'
      '82': 'MC: SCA with step-up required'
pl:
  tds_status_reason:
    universal: &pl_universal_tds_status_codes
      '01': Card authentication failed
      '02': Unknown Device
      '03': Unsupported Device
      '04': Exceeds authentication frequency limit
      '05': Expired card
      '06': Invalid card number
      '07': Invalid transaction
      '08': No Card record
      '12': Transaction not permitted to cardholder
      '13': Cardholder not enrolled in service
      '14': Transaction timed out at the ACS
      '15': Low confidence
      '16': Medium confidence
      '17': High confidence
      '18': Very High confidence
      '19': Exceeds ACS maximum challenges
      '20': Non-Payment transaction not supported
      '21': 3RI transaction not supported
      '22': ACS technical issue
      '23': Decoupled Authentication required by ACS but not requested by 3DS Requestor
      '24': 3DS Requestor Decoupled Max Expiry Time exceeded
      '25': Decoupled Authentication was provided insufficient time to authenticate cardholder. ACS will not make attempt
      '26': Authentication attempted but not performed by the cardholder
    customer:
      <<: *pl_universal_tds_status_codes
      '09': Card authentication failed # Security failure
      '10': Card authentication failed # Stolen card
      '11': Card authentication failed # Suspected fraud
      '80': Card authentication failed # MC: Exemption indicator not set or not applies
      '81': Card authentication failed # MC: Merchant keeps the liability
      '82': Card authentication failed # MC: SCA with step-up required
    merchant:
      <<: *pl_universal_tds_status_codes
      '09': Security failure
      '10': Stolen card
      '11': Suspected fraud
      '80': 'MC: Exemption indicator not set or not applies'
      '81': 'MC: Merchant keeps the liability'
      '82': 'MC: SCA with step-up required'
